import React, { PropTypes } from 'react'
import { ThemeProvider, injectGlobal } from 'styled-components';
import Fonts from './Fonts'
import Reset from './Reset'
import GlobalStyles from './GlobalStyles'
import theme from './theme'
import Pane from './Pane'

const App = ({ children, ...props }) => {
  return (
    <ThemeProvider theme={theme}>
      <Pane minHeight='100%' flex flexAuto flexDirection='column' {...props}>
        <Reset />
        <Fonts />
        <GlobalStyles theme={theme} />
        {children}
      </Pane>
    </ThemeProvider>
  )
}

App.propTypes = {
  children: PropTypes.any
}

export default App
