import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Pane,
  Content
} from '../components'

export default function appStory (module) {
  storiesOf('App', module)
    .add('usage', () => (
      <App flex>
        <Pane flexAuto white padding={10} clearfix>
          <Content markdown>
{`
# App

The App component is the start of your app. Everything lives in here.

* Loads global reset styles
* Loads fonts
* Sets up ThemeProvider with theme

**Only one per page allowed.**

\`\`\`
<App>
  ... everything lives in here.
</App>
\`\`\`
`}
          </Content>
        </Pane>
      </App>
    ))
}
